libzypp 17.37.10

zypp::StringTypeAttr Class Reference
Inheritance diagram for zypp::StringTypeAttr:

## Public Member Functions
| StringTypeAttr ()
| StringTypeAttr (const char *cstr_r)
| StringTypeAttr (const std::string &str_r)
Public Member Functions inherited from zypp::IdStringType< PoolQueryAttr >
IdString | idStr () const
bool | empty () const
unsigned | size () const
const char * | c_str () const
std::string | asString () const
IdType | id () const
| operator bool () const
| Evaluate in a boolean context ( !
| operator IdString () const
| Explicit conversion to IdString.
| operator std::string () const
| Explicit conversion to std::string.

## Static Public Attributes
static const StringTypeAttr | noAttr
static const StringTypeAttr | exactAttr
static const StringTypeAttr | substringAttr
static const StringTypeAttr | regexAttr
static const StringTypeAttr | globAttr
static const StringTypeAttr | wordAttr

## Private Attributes
IdString | _str

## Friends
class | IdStringType< StringTypeAttr >

## Additional Inherited Members
Public Types inherited from zypp::IdStringType< PoolQueryAttr >
using | IdType
Static Public Member Functions inherited from zypp::IdStringType< PoolQueryAttr >
static int | compare (const PoolQueryAttr &lhs, const PoolQueryAttr &rhs)
Protected Member Functions inherited from zypp::IdStringType< PoolQueryAttr >
| IdStringType ()=default
IdStringType & | operator= (const IdStringType &)=default
| ~IdStringType ()=default
Static Protected Member Functions inherited from zypp::sat::detail::PoolMember
static PoolImpl & | myPool ()
Related Symbols inherited from zypp::IdStringType< PoolQueryAttr >
std::ostream & | operator<< (std::ostream &str, const IdStringType< PoolQueryAttr > &obj)
| Stream output.
bool | operator== (const IdStringType< PoolQueryAttr > &lhs, const IdStringType< PoolQueryAttr > &rhs)
| Equal.
bool | operator!= (const IdStringType< PoolQueryAttr > &lhs, const IdStringType< PoolQueryAttr > &rhs)
| NotEqual.
bool | operator< (const IdStringType< PoolQueryAttr > &lhs, const IdStringType< PoolQueryAttr > &rhs)
| Less.
bool | operator<= (const IdStringType< PoolQueryAttr > &lhs, const IdStringType< PoolQueryAttr > &rhs)
| LessEqual.
bool | operator> (const IdStringType< PoolQueryAttr > &lhs, const IdStringType< PoolQueryAttr > &rhs)
| Greater.
bool | operator>= (const IdStringType< PoolQueryAttr > &lhs, const IdStringType< PoolQueryAttr > &rhs)
| GreaterEqual.

## Detailed Description

Definition at line 1118 of file PoolQuery.cc.

## Constructor & Destructor Documentation

## ◆ StringTypeAttr() [1/3]

zypp::StringTypeAttr::StringTypeAttr | ( |  | ) |
| inline

Definition at line 1124 of file PoolQuery.cc.

## ◆ StringTypeAttr() [2/3]

zypp::StringTypeAttr::StringTypeAttr | ( | const char * | cstr_r | ) |
| inline explicit

Definition at line 1125 of file PoolQuery.cc.

## ◆ StringTypeAttr() [3/3]

zypp::StringTypeAttr::StringTypeAttr | ( | const std::string & | str_r | ) |
| inline explicit

Definition at line 1127 of file PoolQuery.cc.

## Friends And Related Symbol Documentation

## ◆ IdStringType< StringTypeAttr >

friend class IdStringType< StringTypeAttr >
| friend

Definition at line 1102 of file PoolQuery.cc.

## Member Data Documentation

## ◆ _str

IdString zypp::StringTypeAttr::_str
| private

Definition at line 1121 of file PoolQuery.cc.

## ◆ noAttr

const StringTypeAttr zypp::StringTypeAttr::noAttr
| static

Definition at line 1130 of file PoolQuery.cc.

## ◆ exactAttr

const StringTypeAttr zypp::StringTypeAttr::exactAttr
| static

Definition at line 1132 of file PoolQuery.cc.

## ◆ substringAttr

const StringTypeAttr zypp::StringTypeAttr::substringAttr
| static

Definition at line 1133 of file PoolQuery.cc.

## ◆ regexAttr

const StringTypeAttr zypp::StringTypeAttr::regexAttr
| static

Definition at line 1134 of file PoolQuery.cc.

## ◆ globAttr

const StringTypeAttr zypp::StringTypeAttr::globAttr
| static

Definition at line 1135 of file PoolQuery.cc.

## ◆ wordAttr

const StringTypeAttr zypp::StringTypeAttr::wordAttr
| static

Definition at line 1136 of file PoolQuery.cc.

The documentation for this class was generated from the following file:

- zypp/PoolQuery.cc